pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46299: devel/pcre multiple symbol definition on MacOS X 10.4.11 (PPC)

>Number:         46299
>Category:       pkg
>Synopsis:       devel/pcre multiple symbol definition on MacOS X 10.4.11 (PPC)
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Apr 06 01:50:00 +0000 2012
>Originator:     John D. Baker
>Release:        MacOS X 10.4.11, pkgsrc-current (pre-pkgsrc-2012Q1)
Darwin ed.technoskunk.fur 8.11.0 Darwin Kernel Version 8.11.0: Wed Oct 10 
18:26:00 PDT 2007; root:xnu-792.24.17~1/RELEASE_PPC Power Macintosh powerpc

On MacOS X 10.4.11 (PPC), freshly-bootstrapped from pkgsrc-current,
building devel/pcre fails with:

  CC     pcretest.o
  CC     pcre_printint.o
  CC     pcre16_printint.o
  CCLD   pcretest
/usr/libexec/gcc/powerpc-apple-darwin8/4.0.1/ld: multiple definitions of symbol 
./.libs/libpcre16.dylib(single module) definition of __pcre_default_tables
module) definition of __pcre_default_tables
collect2: ld returned 1 exit status
*** Error code 1

bmake: stopped in /Volumes/d0/tmp/pkgsrc/devel/pcre/work/pcre-8.30

I'm not sure what relationship there is between "*16*" versions of
libraries/objects and those without that designation in their name.
Maybe something is being built that shouldn't be?
If you can scrounge up a machine that will run MacOS X 10.4.11, bootstrap
pkgsrc-current on it and attempt to build devel/pcre (or any package that
depends on it).

(Yes, I know MacOS X 10.4.11 is generally deprecated as pkgsrc target,
but it's the last version of MacOS X that can be installed on any of my
hardware.  10.5.x declares the hardware insufficient and refuses to be

Home | Main Index | Thread Index | Old Index